import { defineStore } from "pinia";

const useUserStore = defineStore("user", {
  persist: {
    storage: localStorage,
    paths: ["userInfo"],
  },
  state: () => ({ userInfo: null }),
  actions: {
    setState(data) {
      this.$patch(data);
    },
    setUserInfo(data) {
      this.userInfo = data;
    },
    resetUserInfo() {
      this.$reset();
    },
  },
});

export default useUserStore;
